Subject: git-name-rev --undefined / --always

From: Lea Wiemann <[email-masked]>
Date: Fri, 06 Jun 2008 01:49:19 +0200

The name-rev command has an option --undefined (which is not documented 
in git-name-rev.txt) that doesn't do anything.  If you look at 
builtin-name-rev.c, allow_undefined never gets set to anything but 1, I 
think.  In that case --undefined could be made a dummy option for 
compatibility and the allow_undefined code could be ripped out.

In the same file, there's also an "else if (always)" clause that, if 
allow_undefined is indeed always true, never gets run.  "git-name-ref 
--tags --always master" still prints "undefined" despite the --always 
option.  (--always is undocumented as well.)

Perhaps someone more knowledgeable should take a look at this (and maybe 
write up a test case or two), I don't feel confident submitting patches 
to this file.

-- Lea